summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@dtucker.net>2020-05-05 11:32:43 +1000
committerDarren Tucker <dtucker@dtucker.net>2020-05-05 11:32:43 +1000
commitc13403e55de8cdbb9da628ed95017b1d4c0f205f (patch)
tree48f7a706cce5cdad62ddc2b76a85e53b77688659
parent4da393f87cd52d788c84112ee3f2191c9bcaaf30 (diff)
Skip security key tests if ENABLE_SK not set.
-rw-r--r--regress/test-exec.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/regress/test-exec.sh b/regress/test-exec.sh
index bfe8783f..5dc975d0 100644
--- a/regress/test-exec.sh
+++ b/regress/test-exec.sh
@@ -522,7 +522,9 @@ fi
rm -f $OBJ/known_hosts $OBJ/authorized_keys_$USER
SSH_SK_PROVIDER=
-if [ -f "${SRC}/misc/sk-dummy/obj/sk-dummy.so" ] ; then
+if ! config_defined ENABLE_SK; then
+ trace skipping sk-dummy
+elif [ -f "${SRC}/misc/sk-dummy/obj/sk-dummy.so" ] ; then
SSH_SK_PROVIDER="${SRC}/misc/sk-dummy/obj/sk-dummy.so"
elif [ -f "${SRC}/misc/sk-dummy/sk-dummy.so" ] ; then
SSH_SK_PROVIDER="${SRC}/misc/sk-dummy/sk-dummy.so"